               JOB  Function 126 -- SQRTF
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     *
     * Addresses in ARITF
     *
     acchi     equ  279   Accumulator
     clrwk     equ  1134  Clear accum1
     ermsg     equ  1471  Print error message
     exp2      equ  1680  Exponent of accum 2, and zero and RM
     *
               ORG  2000
 2000sqrtf     BM   neg,acchi&X3
 2008sqabs     MN   acchi&X3,222&X3
 2015          MCW
 2016          SW
 2017          SBR  x1
 2021          LCA  kp1,201
 2028          SBR  x2
 2032          ZA   exp2,acchi&4
 2039          A    kp1,acchi&3
 2046          M    kp50,acchi&6  halve exponent
 2053          MN   acchi&4,exp2-1
 2060          MN
 2061          BCE  even,acchi&5,0  even?
 2069          SBR  x1,1&X1
 2076          B    posexp
 2080even      BWZ  posexp,exp2-1,B
 2088          A    kp1,exp2-1
 2095posexp    S    acchi&X3
 2099outer     S    kp11,2&X2
 2106          SW   222-201&X2
 2110          CW
 2111          SBR  x2,1&X2
 2118          ZS   kp1,w1
 2125inner     A    kp1,w1
 2132          A    kp2,1&X2
 2139          S    1&X2,2&X1
 2146          BWZ  inner,2&X1,B
 2154          A    1&X2,2&X1
 2161          MN   w1,acchi-200&X2
 2168          SBR  x1,2&X1
 2175          BWZ  outer,acchi-200&X2,2
 2183          B    clrwk
     *
     * Square root of negative argumengt
     *
 2187neg       B    ermsg  emit error message
 2193          DCW  @SQN@
 2194          MZ   kp1,acchi&X3  make argument positive
 2201          CS   acchi-1
 2205          B    sqabs
     *
     * Data
     *
 2209kp1       dcw  &1
 2211kp50      DCW  &50
 2213kp11      DCW  &11
 2214w1        DCW  #1
 2215kp2       dcw  &2
               ex
               end
