               JOB  Function 125 -- FLOATF
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     x3        equ  99
     *
     * Addresses in ARITF
     *
     acchi     equ  279   Accumulator
     mantis    equ  692   Floating point mantissa digits
     fret      equ  1010  Function return
     exp1      equ  1683  Exponent of accum 1, and zero
     k8        equ  1684
     iflag     equ  1687  Word mark indicates integer
     *
               ORG  2000
 2000floatf    CW   iflag       Indicate floating point
 2004          BW   *&5,4&X2
 2012          B    *&8
 2016          MN   acchi&X3,k8
 2023          SBR  X2,250      Set accum 1 address
 2030          LCA  acchi&X3    Copy accum2 to accum1
 2034          MCW  mantis,*&7  Get mantissa width
 2041          SBR  X3,0          to x3
 2048          ZA   X3,exp1-1       and exp1
 2055          B    fret
               ex
               end
