               JOB  Function 119 -- Log
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     *
     * Addresses in ARITF
     * 
     acchi     equ  279   Accumulator
     fret      equ  1010  Function return in ARITF
     str99     equ  1115  exponent overflow
     ermsg     equ  1471  Print error message
     exp2      equ  1680  Exponent of accum 2, and zero and RM
     exp1      equ  1683  Exponent of accum 1, and zero
     k8        equ  1684
     *
     * Addresses in series routine
     *
     logent    equ  14058
     adr1      equ  14142
     swich1    equ  14149
     adr2      equ  14164
     swich2    equ  14171
     seriex    equ  14187
     setone    equ  14191  Set result to 1.0
     ln10      equ  14227
     D0        equ  14259
     *
               ORG  2000
 2000logf      MZ   acchi&X3,k8
 2007          BE   lnz
 2012          BM   lnn,acchi&X3
 2020logabs    C    248,acchi&X3
 2027          SAR  x1
 2031          SW   0&X1
 2035          MN   kp1,2&X1
 2042          C    acchi&2,k31
 2049          BH   *&15
 2054          ZA   acchi-1&X3,acchi&X3
 2061          A    kp1,exp2-1
 2068          S    acchi&X3,249
 2075          ZS   249,w1
 2082          S    kp1,exp2-1
 2089          A    kp1,acchi&1
 2096          S    pze2,250&X3
 2103          D    acchi&X3,249
 2110          LCA  249,w26
 2117          M    w26,251&X3
 2124          ZA   249,acchi&X3
 2131          ZA   w26,251
 2138          ZA   pze1,D0
 2145          ZA
 2146          ZA
 2147          ZA
 2148          SW   swich1,swich2
 2155          SBR  adr1&3,w26
 2162          SBR  adr2&6
 2166          SBR  seriex&3,*&5
 2173          B    logent  evaluate the series
 2177          A    202&X3
 2181          MZ   w1,201&X3
 2188          ZA   ln10&X3,248
 2195          M    exp2-1,252
 2202          A    201&X3,252
 2209          SBR  x2,252
 2216          S    exp1-1
 2220          B    fret
 2224lnn       BW   *&8,4&X2
 2232          B    ermsg
 2238          DCW  @LNN@        log of negative number
 2239          MZ   pze1,acchi&X3  take log of abs of arg
 2246          B    logabs
 2250lnz       BW   lnz2,4&X2
 2258          B    ermsg
 2264          DCW  @LNZ@  log of zero
 2265          MZ   mze,acchi&X3
 2272          B    str99
 2276lnz2      CW   k8
 2280          B    setone
 2284          dcw  &0
 2285          dcw  &2
 2286          dcw  &1
 2287pze1      dcw  &0
 2313w26       DCW  #26
 2314w1        DCW  #1
 2315kp1       dcw  &1
 2317k31       DCW  31
 2318pze2      dcw  &0
 2319mze       dcw  -0
               ex
               end
